<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <Nullable>enable</Nullable>
    <UseAppHost>false</UseAppHost>
    <ImplicitUsings>enable</ImplicitUsings>
    <UserSecretsId>d748f28f-7908-4174-b2a1-c21d4d06499f</UserSecretsId>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="NewFolder\**" />
    <Content Remove="NewFolder\**" />
    <EmbeddedResource Remove="NewFolder\**" />
    <None Remove="NewFolder\**" />
  </ItemGroup>

  <ItemGroup>
    <Compile Remove="Data\BudgetService.cs" />
  </ItemGroup>

  <ItemGroup>
    <Content Remove="Views\Home\Budget.cshtml" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="AngularJS.Core" Version="1.8.2" />
    <PackageReference Include="HtmlAgilityPack" Version="1.11.67" />
    <PackageReference Include="Lib.Net.Http.WebPush" Version="3.3.1" />
    
    <!-- Entity Framework Core 6 -->
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="6.0.36" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="6.0.36">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="6.0.36" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="6.0.36">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>

    <!-- Identity -->
    <PackageReference Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" Version="6.0.36" />
    <PackageReference Include="Microsoft.AspNetCore.Identity.UI" Version="6.0.36" />

    <!-- MySQL -->
    <PackageReference Include="Pomelo.EntityFrameworkCore.MySql" Version="6.0.2" />
    <PackageReference Include="MySql.Data" Version="9.1.0" />

    <!-- Övrigt -->
    <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.15.1" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="6.0.18" />
    <PackageReference Include="WebPush" Version="1.0.12" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Views\NewFolder\" />
    <Folder Include="wwwroot\images\meals\" />
  </ItemGroup>

</Project>
